Bug 928756 - edit-node failed to handle this type repo that setting "baseurl=file:///xx" in /etc/yum.repos.d/xx.repo .
Summary: edit-node failed to handle this type repo that setting "baseurl=file:///xx" i...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.3
Assignee: Douglas Schilling Landgraf
QA Contact: Virtualization Bugs
URL:
Whiteboard: node
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-28 11:46 UTC by haiyang,dong
Modified: 2016-02-10 20:02 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-02-26 10:30:12 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21244 master MERGED edit-node: handle the "file://" type of baseurl for yum repo Never
oVirt gerrit 34019 master MERGED edit-node: fix Can't Bind Mount Repo File issue Never
oVirt gerrit 35842 ovirt-3.5 MERGED edit-node: fix Can't Bind Mount Repo File issue Never

Description haiyang,dong 2013-03-28 11:46:45 UTC
Description of problem:
edit-node failed to handle this type repo that setting "baseurl=file:///xx" in /etc/yum.repos.d/xx.repo 
in latest ovirt-node-tools verion:ovirt-node-tools-2.5.0-17.el6_4.1.noarch

when do the follow steps:
1.[root@dhcp-9-245 ~]# cat /etc/yum.repos.d/kmod-tg3.repo 
[kmod-tg3]
name=kmod-tg3
baseurl=file:///home/tmprepo
enabled=1
gpgcheck=0

2.[root@dhcp-9-245 ~]# ls /home/tmprepo/
kmod-tg3-3.122-2.el6_2.x86_64.rpm  repodata/

3.[root@dhcp-9-245 ~]# edit-node --install-kmod=kmod-tg3 --repo=/etc/yum.repos.d/kmod-tg3.repo rhevh-6.4-20130318.1.el6_4.iso
rhevh-6.4-20130318.1.el6_4.iso
Installing DUP
Setting Up DNS For Chroot
Configuring Yum Repo
Running Yum Install
Repository 'updates' is missing name in configuration, using id
Repository 'fedora' is missing name in configuration, using id
file:///home/tmprepo/repodata/repomd.xml: [Errno 14] Could not open/read file:///home/tmprepo/repodata/repomd.xml
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: kmod-tg3. Please verify its path and try again

Yum Install Failed
Repository 'updates' is missing name in configuration, using id
Repository 'fedora' is missing name in configuration, using id
file:///home/tmprepo/repodata/repomd.xml: [Errno 14] Could not open/read file:///home/tmprepo/repodata/repomd.xml
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: kmod-tg3. Please verify its path and try again

Cleaning Up Yum Configuration
Cleaning Up Yum Configuration
umount: /var/tmp/edit-liveos-CV3plL/install_root/etc/resolv.conf: not mounted
Error Installing Drive Update Package : kmod-tg3



But using "yum install kmod-tg3 --disablerepo=rhel-x86_64-server-6.4.z" to install package kmod-tg3 success by using the same
"/etc/yum.repos.d/xx.repo"
[root@dhcp-9-245 ~]# yum install kmod-tg3 --disablerepo=rhel-x86_64-server-6.4.z
Loaded plugins: product-id, rhnplugin, security, subscription-manager,
              : versionlock
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is receiving updates from RHN Classic or RHN Satellite.
kmod-tg3                                                 | 2.9 kB     00:00 ... 
kmod-tg3/primary_db                                      | 7.2 kB     00:00 ... 
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package kmod-tg3.x86_64 0:3.122-2.el6_2 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch           Version                 Repository        Size
================================================================================
Installing:
 kmod-tg3         x86_64         3.122-2.el6_2           kmod-tg3         333 k

Transaction Summary
================================================================================
Install       1 Package(s)

Total download size: 333 k
Installed size: 1.9 M
Is this ok [y/N]: 




Version-Release number of selected component (if applicable):
ovirt-node-tools-2.5.0-17.el6_4.1.noarch

How reproducible:
100%

Steps to Reproduce:

  
Actual results:

Expected results:

Additional info:

Comment 1 Mike Burns 2013-03-28 11:57:51 UTC
Joey, 

not sure if there is an inherent problem with file:// repos.  Maybe we can temporarily bind mount the directory into the image to handle this?

Comment 2 Joey Boggs 2013-03-28 13:10:39 UTC
Will work on adding baseurl filtering. A workaround for just a simple one off directory being the repo is just: (--repo $dirpath) instead of a repo file

Comment 7 Fabian Deutsch 2014-07-24 16:02:10 UTC
This is a mass change, moving bugs of merged patches into MODIFIED.

Please correct the state, if you think that the move was not justified.

Comment 9 haiyang,dong 2014-10-11 04:50:37 UTC
Test version:
ovirt-node-tools-3.1.0-0.20.20141006gitc421e04.el6.noarch
ovirt-node-minimizer-3.1.0-0.20.20141006gitc421e04
rhevh-6.6-20141007.0.el6ev.iso

Test result:
[root@hp-z600-04 home]# edit-node --install-kmod=kmod-tg3 --repo=/etc/yum.repos.d/kmod-tg3.repo rhevh-6.6-20141007.0.el6ev.iso 
rhevh-6.6-20141007.0.el6ev.iso
Warning: the state of SELinux is disabled
Installing DUP
Setting Up DNS For Chroot
Configuring Yum Repo
Setting pki entitlement
Can't Bind Mount Repo File
/bin/sh: -c: line 0: syntax error near unexpected token `('
/bin/sh: -c: line 0: `mount -o bind (3, '/tmp/tmpqcI8Bq.repo') /var/tmp/edit-liveos-olUtDX/install_root/etc/yum.repos.d/plugin.repo'

umount: /var/tmp/edit-liveos-olUtDX/install_root: device is busy.
        (In some cases useful info about processes that use
         the device is found by lsof(8) or fuser(1))
Unmounting directory /var/tmp/edit-liveos-olUtDX/install_root failed, using lazy umount
lazy umount succeeded on /var/tmp/edit-liveos-olUtDX/install_root
Error Installing Drive Update Package : kmod-tg3

so this bug didn't fix completely, so need to re-assigned it.

Comment 10 haiyang,dong 2014-10-11 04:57:37 UTC
patch edit-node: fix Can't Bind Mount Repo File issue:
http://gerrit.ovirt.org/#/c/34019/
has fixed comment 9 issue.

[root@hp-z600-04 home]# ./edit-node --install-kmod=kmod-tg3 --repo=/etc/yum.repos.d/kmod-tg3.repo rhevh-6.6-20141007.0.el6ev.iso 
rhevh-6.6-20141007.0.el6ev.iso
Warning: the state of SELinux is disabled
Installing DUP
Setting Up DNS For Chroot
Configuring Yum Repo
Setting pki entitlement
Running Yum Install
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package kmod-tg3.x86_64 0:3.122-2.el6_2 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package          Arch           Version                 Repository        Size
================================================================================
Installing:
 kmod-tg3         x86_64         3.122-2.el6_2           kmod-tg3         333 k

Transaction Summary
================================================================================
Install       1 Package(s)
...
md5 = 784f2861cfef6874124b6c387e040ebb
Inserting fragment md5sums into iso image...
fragmd5 = 1453e34e64f83cd836bd2bcbca8965b2cdcbe29243eeda9cdba786d73821
frags = 20
Setting supported flag to 0
Moving 'rhevh-6.6-20141007.0.el6ev.iso.edited.iso' to 'rhevh-6.6-20141007.0.kmod-tg3.el6ev.iso'

Comment 13 Fabian Deutsch 2015-02-16 10:31:07 UTC
Haiyang, can you please check if this bug is fixed in 3.5?

Comment 14 haiyang,dong 2015-02-25 05:21:07 UTC
Test version:
ovirt-node-minimizer-3.2.1-6.el6.noarch
ovirt-node-tools-3.2.1-6.el6.noarch
rhev-hypervisor6-6.6-20150128.0.is

Test result:
edit-node --install-kmod=kmod-tg3 --repo=/etc/yum.repos.d/kmod-tg3.repo rhev-hypervisor6-6.6-20150128.0.iso
...
 unknown symbol ipcomp_init_state
  Verifying  : kmod-tg3-3.122-2.el6_2.x86_64                                1/1 

Installed:
  kmod-tg3.x86_64 0:3.122-2.el6_2                                               

Complete!

Cleaning Up Yum Configuration
umount: /var/tmp/dd-isopTmzSn: not mounted
Package Validation Completed For: kmod-tg3
done
Running Minimizer
.....
Number of directories 1
Number of ids (unique uids + gids) 1
Number of uids 1
	root (0)
Number of gids 1
	root (0)
Parallel mksquashfs: Using 8 processors
Creating 4.0 filesystem on /var/tmp/edit-liveos-3Fr7Og/iso/LiveOS/squashfs.img, block size 131072.
[===========================================================/] 12288/12288 100%
Exportable Squashfs 4.0 filesystem, data block size 131072
	compressed data, compressed metadata, compressed fragments
	duplicates are removed
Filesystem size 173146.92 Kbytes (169.09 Mbytes)
	11.01% of uncompressed filesystem size (1572912.29 Kbytes)
Inode table size 11444 bytes (11.18 Kbytes)
	23.22% of uncompressed inode table size (49286 bytes)
Directory table size 50 bytes (0.05 Kbytes)
	86.21% of uncompressed directory table size (58 bytes)
Number of duplicate files found 0
Number of inodes 3
Number of files 1
Number of fragments 0
Number of symbolic links  0
Number of device nodes 0
Number of fifo nodes 0
Number of socket nodes 0
Number of directories 2
Number of ids (unique uids + gids) 1
Number of uids 1
	root (0)
Number of gids 1
....
Size of boot image is 63932 sectors -> No emulation
  3.73% done, estimate finish Wed Feb 25 12:15:35 2015
  7.46% done, estimate finish Wed Feb 25 12:15:35 2015
 11.18% done, estimate finish Wed Feb 25 12:15:35 2015
 14.91% done, estimate finish Wed Feb 25 12:15:35 2015
 18.63% done, estimate finish Wed Feb 25 12:15:35 2015
 22.36% done, estimate finish Wed Feb 25 12:15:35 2015
 26.08% done, estimate finish Wed Feb 25 12:15:35 2015
 29.82% done, estimate finish Wed Feb 25 12:15:35 2015
 33.54% done, estimate finish Wed Feb 25 12:15:35 2015
 37.27% done, estimate finish Wed Feb 25 12:15:35 2015
 40.99% done, estimate finish Wed Feb 25 12:15:35 2015
 44.72% done, estimate finish Wed Feb 25 12:15:35 2015
 48.44% done, estimate finish Wed Feb 25 12:15:35 2015
 52.17% done, estimate finish Wed Feb 25 12:15:35 2015
 55.89% done, estimate finish Wed Feb 25 12:15:35 2015
 59.62% done, estimate finish Wed Feb 25 12:15:35 2015
 63.34% done, estimate finish Wed Feb 25 12:15:35 2015
 67.07% done, estimate finish Wed Feb 25 12:15:35 2015
 70.79% done, estimate finish Wed Feb 25 12:15:35 2015
 74.52% done, estimate finish Wed Feb 25 12:15:35 2015
 78.24% done, estimate finish Wed Feb 25 12:15:35 2015
 81.97% done, estimate finish Wed Feb 25 12:15:35 2015
 85.69% done, estimate finish Wed Feb 25 12:15:35 2015
 89.42% done, estimate finish Wed Feb 25 12:15:35 2015
 93.14% done, estimate finish Wed Feb 25 12:15:35 2015
 96.87% done, estimate finish Wed Feb 25 12:15:35 2015
Total translation table size: 2048
Total rockridge attributes bytes: 6547
Total directory bytes: 14336
Path table size(bytes): 80
Max brk space used 22000
134208 extents written (262 MB)
Inserting md5sum into iso image...
md5 = 8d9c50b54568bf890c4a15b6bc33da1c
Inserting fragment md5sums into iso image...
fragmd5 = 49b621c9b8e6b75c76e82d6cb9b493b798fac83d1cb13e8ecf899baee5aa
frags = 20
Setting supported flag to 0
Moving 'rhev-hypervisor6-6.6-20150128.0.iso.edited.iso' to 'rhev-hypervisor6-6.6-20150128.kmod-tg3.0.iso'

so this bug has been fixed, change the status into "VERIFIED".

Comment 15 Ying Cui 2015-02-25 05:32:41 UTC
This bug/patch had been already in RHEV 3.5.0 GA build. Better to attach it into 3.5.1, actually it was in current RHEVH.


Note You need to log in before you can comment on or make changes to this bug.